## xjobs 20110730

=== debian/changelog ===
xjobs (20110730-1) unstable; urgency=low

  * Initial release (Closes: #572325)

 -- Thierry Randrianiriana <thierry@debian.org>  Sat, 29 Oct 2011 21:05:39 +0300
