=== debian/control ===
Source: xjobs
Section: utils
Priority: extra
Maintainer: Thierry Randrianiriana <thierry@debian.org>
Build-Depends: autotools-dev,
 cdbs (>= 0.4.85~),
 debhelper (>= 8~),
 dh-buildinfo, autotools-dev, flex
Standards-Version: 3.9.2
Homepage: http://www.maier-komor.de/xjobs.html

Package: xjobs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reads job description line by line and executes them in parallel
 xjobs reads job descriptions line by line and executes them in parallel. It 
 limits the number of parallel executing jobs and starts new jobs when jobs 
 finish. Therefore, it combines the arguments from every input line with the 
 utility and arguments given on the command line. If no utility is given as an 
 argument to xjobs, then the first argument on every job line will be used as 
 utility. To execute utility xjobs searches the directories given in the PATH 
 environment variable and uses the first file found in these directories. 
 .
 xjobs is most useful on multi-processor/core machines when one needs to execute 
 several time consuming command several that could possibly be run in parallel. 
 With xjobs this can be achieved easily, and it is possible to limit the load 
 of the machine to a useful value. It works similar to xargs, but starts several 
 processes simultaneously and gives only one line of arguments to each utility 
 call.
