=== debian/watch ===
version=3
http://www.maier-komor.de/xjobs/xjobs-(.*)\.tgz
