## xjobs 20120412

=== debian/changelog ===
xjobs (20120412-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump Standars-Version to 3.9.4
  * Updated debian/watch

 -- Thierry Randrianiriana <thierry@debian.org>  Sun, 09 Jun 2013 05:38:56 +0300
