=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: extra
 Maintainer: Thierry Randrianiriana <thierry@debian.org>
-Build-Depends: autotools-dev,
- cdbs (>= 0.4.85~),
- debhelper (>= 8~),
+Build-Depends: cdbs,
+ autotools-dev,
+ debhelper,
  dh-buildinfo, autotools-dev, flex
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.maier-komor.de/xjobs.html
 
 Package: xjobs
