=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_AUTO_UPDATE_DEBIAN_CONTROL = no

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
