=== debian/watch ===
version=3
http://www.maier-komor.de/xjobs.html .*/xjobs-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Fri, 28 Dec 2012 22:44:14 +0000
