## xjobs 20241010

=== debian/changelog ===
xjobs (20241010-2) unstable; urgency=medium

  * d/control: fix Vcs links (were /ossp-uuid instead of /xjobs)
  * d/p/0002: fix hurd FTBFS
    + Remove dependency on PATH_MAX
    + Don't overflow static buffer if input line longer than PATH_MAX
    + Don't change xecutable-searching behaviour if -v4

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 09 Dec 2024 19:04:15 +0100

xjobs (20241010-1) unstable; urgency=medium

  [ наб ]
  * d/watch: version 4
  * New upstream version 20241010
    (Closes: #1066652, #755511, #966376, #716517)
  * cdbs -> debhelper 13 (+ hardening)
  * R-R-R: no
  * Standards-Version: 4.7.0
  * New maintainer: the salvage team (Closes: #1084091)
  * Vcs-Git: https://salsa.debian.org/salvage-team/ossp-uuid.git
  * Priority: extra -> optional
  * d/copyright: canonical DEP5 location
  * d/copyright: Upstream-Contact
  * add d/p/0003-blhc.diff
    (Forward CPPFLAGS correctly too, needed for hardening)

  [ Andreas Tille ]
  * Use secure URI in Homepage field.
  * Secure URI in watch file

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 05 Oct 2024 00:29:54 +0200
