=== debian/control ===
Source: xjobs
Section: utils
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: наб <nabijaczleweli@nabijaczleweli.xyz>
Build-Depends: debhelper, debhelper-compat (= 13), flex
Standards-Version: 4.7.0
Homepage: https://www.maier-komor.de/xjobs.html
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/salvage-team/xjobs.git
Vcs-Browser: https://salsa.debian.org/salvage-team/xjobs

Package: xjobs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reads job description line by line and executes them in parallel
 xjobs reads job descriptions line by line and executes them in parallel. It
 limits the number of parallel executing jobs and starts new jobs when jobs
 finish. Therefore, it combines the arguments from every input line with the
 utility and arguments given on the command line. If no utility is given as an
 argument to xjobs, then the first argument on every job line will be used as
 utility. To execute utility xjobs searches the directories given in the PATH
 environment variable and uses the first file found in these directories.
 .
 xjobs is most useful on multi-processor/core machines when one needs to execute
 several time consuming command several that could possibly be run in parallel.
 With xjobs this can be achieved easily, and it is possible to limit the load
 of the machine to a useful value. It works similar to xargs, but starts several
 processes simultaneously and gives only one line of arguments to each utility
 call.
