=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- $(shell dpkg-buildflags --export=cmdline)

%:
	dh $@
