=== debian/watch ===
version=4
https://www.maier-komor.de/xjobs.html \
	.*/xjobs-@ANY_VERSION@@ARCHIVE_EXT@
